/*********************************************************
*
*       sharplow.h
*
*       Header-Datei fr das Assembler-Interface sharplow.asm,
*       das die elementaren Routinen zum Einlesen von Programmen
*       des Sharp PC1401/2/3 enthlt.
*
*       01-Nov-1988     Norbert Unterberg
*
**********************************************************/

/*----------> Datenstrukturen */

/*
Warnung: nderungen an dieser Struktur mssen immer auch in
         Sharplow.asm bercksichtigt werden! */

typedef struct {
        char Sharpname [8]; /* Dateiname (7 Zeichen) */
        char Password [8];  /* Password, wenn angegeben */
        byte *Buffer;       /* Dateipuffer */
        int Laenge;         /* Lnge der Datei */
        byte Dateityp;      /* Dateityp */
        byte gesichert;     /* Flag, ob Datei gesichert wurde */
    } tHEADER;

/*----------> Konstanten */

#define S_LEER      0x00        /* keine Datei geladen          */
#define S_BASIC     0x70        /* Dateityp Basic               */
#define S_BASIC_P   0x71        /*          Basic mit Password  */
#define S_DATEN     0x74        /*          Datendatei          */
#define S_BINAER    0x76        /*          Binrdatei          */
#define S_DUMP      0xff        /* Dump - Lade alles zu Testen  */

/*----------> Funktonsprototypen */

int  InitSharp (int port);      /* port = 0 .. 3 (LPT1 .. LPT4) */
int  HoleSharp (tHEADER *);
int  SendeSharp (tHEADER *);
void Cls (void);


/*----------> externe Variable */

extern int TimeoutReason;
